// Licensed Materials - Use restricted. For use in compiling interfaces to
// IBM Rational TestManager.
// (c) Copyright IBM Corporation 2001, 2002, 2006.  All Rights Reserved.

#ifndef __INCLUDE_APIFILTERINGADAPTER_H
#define __INCLUDE_APIFILTERINGADAPTER_H	1

#ifdef __cplusplus
extern "C" { 
#endif

BOOL IsAPIGenFiltExtAdapter();

int GetDisplayName(TCHAR* name, size_t nameSize);

int GetScriptgenDllName(TCHAR* name, size_t nameSize);

int GetOptions(TCHAR* options, size_t optionsSize);

int SetOptions(TCHAR* options, size_t optionsSize,
					  TCHAR* errorMsg, size_t errorMsgSize);

int DisplayCustomConfigGUI(TCHAR* errorMessage,
                        size_t errorMessageSize);

int CheckAPIPacket(void* packet,
                        int  IDNum,
                        int* NextConn,
                        int* clientIP,
                        int* clientPort,
                        int* serverIP,
                        int* serverPort);








#ifdef __cplusplus
}  // extern "C"
#endif


#endif	// __INCLUDE_APIFILTERINGADAPTER_H
////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

