/*
 * Licensed Materials - Use restricted. For use in compiling interfaces to
 * IBM Rational TestManager.
 * (c) Copyright IBM Corporation 2001,2002,2006.  All Rights Reserved.
 */

#if !defined(AFX_HELLOWORLDGUITESTAPPDLG_H__D8EB63C4_68EB_4B14_9F06_677C273CB7AE__INCLUDED_)
#define AFX_HELLOWORLDGUITESTAPPDLG_H__D8EB63C4_68EB_4B14_9F06_677C273CB7AE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CHelloWorldGUITestAppDlg dialog

class CHelloWorldGUITestAppDlg : public CDialog
{
// Construction
public:
	CHelloWorldGUITestAppDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CHelloWorldGUITestAppDlg)
	enum { IDD = IDD_HELLOWORLDGUITESTAPP_DIALOG };
	CString	m_StringToPass;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHelloWorldGUITestAppDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	char* m_CurrentStringToPass;

	char** getPointerToStringToPass();
	void showSuccess( char* stringToPass );
	void showFailure( char* stringToPass );
	// Generated message map functions
	//{{AFX_MSG(CHelloWorldGUITestAppDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HELLOWORLDGUITESTAPPDLG_H__D8EB63C4_68EB_4B14_9F06_677C273CB7AE__INCLUDED_)
